Summary:	A set of GNU Interactive Tools.
Name: 		git
Version:	4.3.20
Release:	7mdk
License:	GPL
Group:		File tools
URL:		http://www.hulubei.net/tudor/git
Source: 	ftp://ftp.gnu.org/pub/gnu/git/git-%{version}.tar.gz
Patch:		git-Makefile-fixes.patch.bz2
Buildroot: 	%{_tmppath}/%{name}-root
BuildRequires:	gpm-devel ncurses-devel
BuildRequires:	autoconf automake tetex texinfo

%description
GIT (GNU Interactive Tools) provides an extensible file system browser,
an ASCII/hexadecimal file viewer, a process viewer/killer and other
related utilities and shell scripts.  GIT can be used to increase the
speed and efficiency of copying and moving files and directories, invoking
editors, compressing and uncompressing files, creating and expanding
archives, compiling programs, sending mail and more.  GIT uses standard
ANSI color sequences, if they are available.  

You should install the git package if you are interested in using its file
management capabilities.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p1

%build
#
# (fg) 20000721 FIXME - git doesn't like libtoolize, hence the handmade
# ./configure line
#
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS='-s' ./configure \
--prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir} --with-terminfo --libdir=%{_libdir} --enable-smp
%make

%install
mkdir -p $RPM_BUILD_ROOT/{%{_bindir},%{_infodir},%{_mandir}/man1,%{_datadir}}
%makeinstall
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir
rm -f $RPM_BUILD_ROOT/usr/doc/git-4.3.20/git.html

%files
%defattr(-,root,root,0755)
%doc COPYING ChangeLog LSM NEWS PLATFORMS PROBLEMS README INSTALL doc/git.html
%{_bindir}/*
%{_bindir}/.gitaction
%{_mandir}/man1/*
%{_infodir}/*
%{_datadir}/git/.gitrc*

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_install_info git.info}

%preun
%{_remove_install_info git.info}

%changelog
* Fri Jan  3 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 4.3.20-7mdk
- Rebuild because of new rpm macros and new glibc

* Wed Jan 16 2002 Stefan van der Eijk <stefan@eijk.nu> 4.3.20-6mdk
- use %%make and %%makeinstall macro's
- Copyright --> License
- BuildRequires

* Mon Jan 08 2001 Francis Galiegue <fg@mandrakesoft.com> 4.3.20-5mdk
- Corrected license

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.3.20-4mdk
- automatically added BuildRequires


* Fri Jul 21 2000 Francis Galiegue <fg@mandrakesoft.com> 4.3.20-3mdk

- BMacros

* Wed Mar 22 2000 Francis Galiegue <fg@mandrakesoft.com> 4.3.20-2mdk

- Rebuild on kenobi

* Mon Mar 13 2000 Francis Galiegue <francis@mandrakesoft.com> 4.3.20-1mdk

- 4.3.20
- Changed group to match 7.1
- some spec file changes
- Let spec helper do its job
* Sun Nov 28 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- remove broken smp macro, rely on --enable-smp to detect the number of
	processors

* Mon Nov 24 1999 Camille Begnis <camille@mandrakesoft.com>
- added compilation for SMP architecture
- added %defattr(-,root,root,0755) 
  
* Mon Jul 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Remove wrong dir files.

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 0.3.19
- turn on smp build

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- Fixed the dumb requirement for /usr/lib/git/term

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- updated to 4.3.17

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- added BuildRoot to spec file; added the path-correction patch
- added info file handling

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- built against readline library w/ proper soname

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 20 1997 Michael Fulbright <msf@redhat.com>
- Updated to v. 4.3.16

